gr::limesdr::rfe Class Reference

Allow directly controlling RFE boards. More...

`#include <rfe.h>`

## Public Member Functions

| rfe (int comm_type, std::string device, std::string config_file, char IDRX, char IDTX, char PortRX, char PortTX, char Mode, char Notch, char Atten)
| ~rfe ()
int | change_mode (int mode)
int | set_fan (int enable)
int | set_attenuation (int attenuation)
int | set_notch (int enable)

## Detailed Description

Allow directly controlling RFE boards.

## Constructor & Destructor Documentation

## rfe()

gr::limesdr::rfe::rfe | ( | int | comm_type,
|  | std::string | device,
|  | std::string | config_file,
|  | char | IDRX,
|  | char | IDTX,
|  | char | PortRX,
|  | char | PortTX,
|  | char | Mode,
|  | char | Notch,
|  | char | Atten
| ) |  |

## ~rfe()

gr::limesdr::rfe::~rfe | ( |  | ) |

## Member Function Documentation

## change_mode()

int gr::limesdr::rfe::change_mode | ( | int | mode | ) |

Change LimeRFE Mode

Parameters

  mode | Mode to be set: RX(0), TX(1), NONE(2), TXRX(3)

Returns
  0 on success, other on failure (see LimeRFE error codes)

## set_attenuation()

int gr::limesdr::rfe::set_attenuation | ( | int | attenuation | ) |

Set RX Attenuation value

Parameters

  attenuation | Specifies the attenuation in the RX path. Attenuation [dB] = 2 * attenuation. Value range: [0,7]

Returns
  0 on success, other on failure (see LimeRFE error codes)

## set_fan()

int gr::limesdr::rfe::set_fan | ( | int | enable | ) |

Enable or disable fan

Parameters

  enable | fan state: 0 - disable; 1 - enable.

Returns
  0 on success, other on failure (see LimeRFE error codes)

## set_notch()

int gr::limesdr::rfe::set_notch | ( | int | enable | ) |

Enable or disable AM/FM notch filter

Parameters

  enable | notch state: 0 - disable; 1 - enable

Note
  Notch filter is only possible up to HAM 430-440 MHz, or Wideband 1-1000 MHz

Returns
  0 on success, other on failure (see LimeRFE error codes)

The documentation for this class was generated from the following file:

- rfe.h